cloud copy
curl --request POST \
--url https://console.vast.ai/api/v0/commands/rclone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "<string>",
"src": "<string>",
"dst": "<string>",
"selected": "<string>",
"transfer": "<string>",
"flags": [
"<string>"
],
"api_key": "<string>"
}
'import requests
url = "https://console.vast.ai/api/v0/commands/rclone"
payload = {
"instance_id": "<string>",
"src": "<string>",
"dst": "<string>",
"selected": "<string>",
"transfer": "<string>",
"flags": ["<string>"],
"api_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instance_id: '<string>',
src: '<string>',
dst: '<string>',
selected: '<string>',
transfer: '<string>',
flags: ['<string>'],
api_key: '<string>'
})
};
fetch('https://console.vast.ai/api/v0/commands/rclone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/commands/rclone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instance_id' => '<string>',
'src' => '<string>',
'dst' => '<string>',
'selected' => '<string>',
'transfer' => '<string>',
'flags' => [
'<string>'
],
'api_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/commands/rclone"
payload := strings.NewReader("{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.vast.ai/api/v0/commands/rclone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/commands/rclone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"msg": "<string>",
"result_url": "<string>"
}{
"success": true,
"msg": "<string>"
}Instances
cloud copy
Starts a cloud copy operation by sending a command to the remote server. The operation can transfer data between an instance and a cloud service.
CLI Usage: vastai cloud copy <instance_id> <src> <dst> [options]
POST
/
api
/
v0
/
commands
/
rclone
cloud copy
curl --request POST \
--url https://console.vast.ai/api/v0/commands/rclone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instance_id": "<string>",
"src": "<string>",
"dst": "<string>",
"selected": "<string>",
"transfer": "<string>",
"flags": [
"<string>"
],
"api_key": "<string>"
}
'import requests
url = "https://console.vast.ai/api/v0/commands/rclone"
payload = {
"instance_id": "<string>",
"src": "<string>",
"dst": "<string>",
"selected": "<string>",
"transfer": "<string>",
"flags": ["<string>"],
"api_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
instance_id: '<string>',
src: '<string>',
dst: '<string>',
selected: '<string>',
transfer: '<string>',
flags: ['<string>'],
api_key: '<string>'
})
};
fetch('https://console.vast.ai/api/v0/commands/rclone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.vast.ai/api/v0/commands/rclone",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'instance_id' => '<string>',
'src' => '<string>',
'dst' => '<string>',
'selected' => '<string>',
'transfer' => '<string>',
'flags' => [
'<string>'
],
'api_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.vast.ai/api/v0/commands/rclone"
payload := strings.NewReader("{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.vast.ai/api/v0/commands/rclone")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.vast.ai/api/v0/commands/rclone")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"instance_id\": \"<string>\",\n \"src\": \"<string>\",\n \"dst\": \"<string>\",\n \"selected\": \"<string>\",\n \"transfer\": \"<string>\",\n \"flags\": [\n \"<string>\"\n ],\n \"api_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"msg": "<string>",
"result_url": "<string>"
}{
"success": true,
"msg": "<string>"
}Body
application/json